> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/zingg-concepts/zingg-configuration.md).

# Zingg Configuration

To resolve entities, Zingg needs some user inputs or arguments. These arguments help Zingg understand where the input data is, which fields to use in the matching and how, where the output is to be written, where the models are to be persisted or used from. The user can also provide some performance specific settings.

The configuration can be done either through JSON, or through Zingg's Python API.

Here is some important terminology to be aware of:

1. **Arguments** - representative of the user input comprising of input and output data, fields and their matching criteria, models location as well as performance criteria. Zingg Enterprise also has specialised arguments for functionality like incremental run, reassign and diff etc.
2. **Pipes** - Zingg's abstraction for the data store. A pipe encapsulates the source or destination of records; a delta file path, a Snowflake table, a UC table, an RDBMS dataset. Different pipes are configured by passing the format string in the configuration.
3. **Field Definition** - Field Definition is the configuration object that tells Zingg which fields to use for matching and how to compare them. Each field definition has four attributes: `fieldName` (the column name), `fields` (same as `fieldName` for now), `dataType` (string, integer, double, etc.), and `matchType` (the similarity functions to apply).

{% hint style="success" icon="right-long" %}
**Read more**: [Pipes and Data Connections](/zingg/connect-your-data/pipes-and-data-connections.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/zingg-concepts/zingg-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
